<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="IServices\IPermissionService.cs" />
    <Compile Remove="PermissionAuthorizationHandler.cs" />
    <Compile Remove="Services\Permission.cs" />
    <Compile Remove="Services\PermissionService.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authorization" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.TagHelpers" Version="2.2.0" />
    <PackageReference Include="Microsoft.IdentityModel.Tokens" Version="6.6.0" />
    <PackageReference Include="Pivotal.Discovery.ClientCore" Version="2.2.0" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Microsoft.IdentityModel.Tokens">
      <HintPath>C:\PROGRAM FILES\DOTNET\sdk\NuGetFallbackFolder\microsoft.identitymodel.tokens\5.3.0\lib\netstandard2.0\Microsoft.IdentityModel.Tokens.dll</HintPath>
    </Reference>
    <Reference Include="System.IdentityModel.Tokens.Jwt">
      <HintPath>C:\PROGRAM FILES\DOTNET\sdk\NuGetFallbackFolder\system.identitymodel.tokens.jwt\5.3.0\lib\netstandard2.0\System.IdentityModel.Tokens.Jwt.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="IServices\" />
    <Folder Include="Services\" />
  </ItemGroup>

</Project>
